#ifndef _ROWOHANDLER_H
#define _ROWOHANDLER_H

#include <SocketHandler.h>
#include "Map.h"


class RowoHandler : public SocketHandler
{
public:
	RowoHandler();
	~RowoHandler();

	void SetMyUid(const std::string& x) { m_myuid = x; }
	void SetMap(Map *x) { m_pMap = x; }
	Map& GetMap() { return *m_pMap; }

	void InjectRobot(const std::string& filename);

private:
	std::string m_myuid;
	Map *m_pMap;
};




#endif // _ROWOHANDLER_H
